dictem_1.0.4-2_all.deb


Advertisement

Description

dictem - Dict client for emacs

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package name dictem
Package version 1.0.4
Package release 2
Package architecture all
Package type deb
Installed size 148 B
Download size 26.14 KB
Official Mirror archive.ubuntu.com
DictEm implements all functions of the client part of Dictionary
Server Protocol(DICT) protocol (RFC-2229, www.dict.org), i.e looking
up words and definitions, obtaining information about available
strategies, provided databases, information about DICT server etc.
It uses autocompletion that is used for selecting dictionary and
search strategy.  Moreover, DictEm provides several hooks which
may be used for buffer postprocessing.

Alternatives

Package Version Architecture Repository
dictem_1.0.4-2_all.deb 1.0.4 all Ubuntu Universe
dictem - - -

Requires

Name Value
dict >> 1.9.14
emacsen-common >= 2.0.0

Provides

Name Value
dict-client -

Conflicts

Name Value
emacsen-common <= 2.0.0

Download

Type URL
Binary Package dictem_1.0.4-2_all.deb
Source Package dictem

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install dictem deb package:
    # sudo apt-get install dictem

Files

Path
/etc/emacs/site-start.d/50dictem.el
/usr/lib/emacsen-common/packages/compat/dictem
/usr/lib/emacsen-common/packages/install/dictem
/usr/lib/emacsen-common/packages/remove/dictem
/usr/share/doc/dictem/AUTHORS
/usr/share/doc/dictem/NEWS.gz
/usr/share/doc/dictem/README.gz
/usr/share/doc/dictem/changelog.Debian.gz
/usr/share/doc/dictem/copyright
/usr/share/emacs/site-lisp/dictem/dictem-elisp.el
/usr/share/emacs/site-lisp/dictem/dictem-lingvo-dsl.el
/usr/share/emacs/site-lisp/dictem/dictem.el

Changelog

2014-03-06 - Yauheni Kaliuta <y.kaliuta@gmail.com>
dictem (1.0.4-2) unstable; urgency=low
* Remove no more needed 'DM-Upload-Alllowed' and 'Uploaders'
* Update Standards-Version
* Adopt to the new policy:
- Conflicts of old emacsen-common, Depends of the new.
- add emacsen-compat
debhelper takes care of the rest of the job.
2012-08-27 - Yauheni Kaliuta <y.kaliuta@gmail.com>
dictem (1.0.4-1) unstable; urgency=low
* New upstream release 1.0.4: 
- Flag (interactive) was removed from the following functions:
dictem-select-strategy, dictem-select-database, dictem-read-query
and dictem-run. Closes: #564251
2012-08-07 - Yauheni Kaliuta <y.kaliuta@gmail.com>
dictem (1.0.3-1) unstable; urgency=low
* New upstream release, see NEWS. Closes: #681943
* Add autoloads to the site-start file. Closes: #541283
* Update packaging:
- upstream ChangeLog has been removed, adopting;
- depends on current emacs24 first;
- Standards-Version: 3.9.3;
- debhelper version 9;
- change dh_clean -k to dh_prep;
- added dummy build-indep and build-arch targets;
- added debian/source/format. Source version is 1.0;
- added ${misc:Depends}
2009-08-16 - Yauheni Kaliuta <y.kaliuta@gmail.com>
dictem (1.0.2-1) unstable; urgency=low
* New upstream release, see NEWS. Closes: #541281
* Install symlink in the flavour directory. Closes: #541287
* Update packaging:
- Homepage is a regular field;
- depends on current emacs23 first;
- copyright points to GPL-2.
- Standards-Version: 3.8.3
2006-11-07 - Yauheni Kaliuta <y.kaliuta@gmail.com>
dictem (0.8-1) unstable; urgency=low
* New upstream release, see NEWS.
* Fixed maintainer's name.
* Updated Standards-Version to 3.7.2 -- no changes to package.
* Updated debhelper dependency to version 5.
2005-09-24 - Zhenja Kaluta <y.kaliuta@gmail.com>
dictem (0.0.5-3) unstable; urgency=low
* Added debian-pkg-add-load-path-item check
to startup file to conform to emacs-policy (point 9).
2005-09-22 - Zhenja Kaluta <y.kaliuta@gmail.com>
dictem (0.0.5-2) unstable; urgency=low
* Fixed startup file to use debian-pkg-add-load-path-item. 
Closes: #328714
* Fixed FSF address in the debian/copyright.
2005-08-09 - Zhenja Kaluta <y.kaliuta@gmail.com>
dictem (0.0.5-1) unstable; urgency=low
* New upstream release (0.0.5).
* Updated Standards-Version to 3.6.2 - no changes to package.
2005-04-25 - Zhenja Kaluta <y.kaliuta@gmail.com>
dictem (0.0.4-1) unstable; urgency=low
* New upstream release (0.0.4).
2004-12-15 - Zhenja Kaluta <y.kaliuta@gmail.com>
dictem (0.0.3-1) unstable; urgency=low
* New upstream release (0.0.3). Closes: #285704
* Added NEWS and AUTHORS files to documentation.

See Also

Package Description
dictfmt_1.12.1+dfsg-4_amd64.deb utility to format a file for use by a dictd server
diction_1.11-1build1_amd64.deb Utilities to help with style and diction (English and German)
dictionary-el_1.10-3_all.deb dictionary client for Emacs
dictionaryreader.app_0+20080616+dfsg-2build7_amd64.deb Dict client for GNUstep
didiwiki_0.5-13_amd64.deb simple wiki implementation with built-in webserver
dieharder_3.31.1-7build1_amd64.deb Random-number generator test front-end
dietlibc-dev_0.34~cvs20160606-7_amd64.deb diet libc - a libc optimized for small size
dietlibc-doc_0.34~cvs20160606-7_all.deb diet libc documentation - a libc optimized for small size
diffmon_20020222-2.6_all.deb Tool for reporting changes in system configuration
diffoscope_93ubuntu1_all.deb in-depth comparison of files, archives, and directories
diffpdf_2.1.3-1.2_amd64.deb compare two PDF files textually or visually
diffuse_0.4.8-3_all.deb graphical tool for merging and comparing text files
digikam-data_5.6.0-0ubuntu10_all.deb digiKam architecture-independant data
digikam-doc_5.6.0-0ubuntu10_all.deb handbook for digiKam
digikam-private-libs_5.6.0-0ubuntu10_amd64.deb private libraries for digiKam and kipi plugins
Advertisement
Advertisement